Subject: bug#23463: safe local variable properties no longer effective

From: Alan Mackenzie <[email-masked]>
Date: Fri, 6 May 2016 19:34:51 +0000

Hello, Glenn.

On Fri, May 06, 2016 at 11:55:27AM -0400, Glenn Morris wrote:

> A test case was provided so you can test it yourself. :)

I have done so.  But sometimes, admittedly not very often, a fix works
in the test case, but not in the real code the error was observed in.

Anyhow, I've committed the fix.

> This is a change to very long-standing behaviour, and I would not be
> surprised to see various subtle issues due to it. Eg calling any
> major-mode function may now prompt the user and wait indefinitely for a
> response.

This could happen, but only on a file the user has already
accepted/rejected the local variables for.

> I think it needs a NEWS entry, BTW.

Done.

-- 
Alan Mackenzie (Nuremberg, Germany).